﻿using System;
using System.IO;

namespace nezoter
{
    class Program
    {
        struct Hely
        {
            public int Tipus;
            public bool Foglalt;
        }

        static Hely[,] Ter = new Hely[16, 22];
        static int[] Kat = { 0, 5000, 4000, 3000, 2000, 1500 };

        static void Main(string[] args)
        {
            //3. feladathoz számláló
            int dbFoglalt = 0;

            //4. feladathoz típusok számlálója
            int[] db = new int[6];
            for (int i = 0; i < 6; i++)
            {
                db[i] = 0;
            }

            //5. feladathoz összegzés
            int bevetel = 0;

            StreamReader sf = new StreamReader("foglaltsag.txt");
            StreamReader sk = new StreamReader("kategoria.txt");
            StreamWriter sw = new StreamWriter("szabad.txt");
            for (int i = 1; i < Ter.GetLength(0); i++)
            {
                for (int j = 1; j < Ter.GetLength(1) - 1; j++)
                {
                    //1. feladat
                    Ter[i, j].Foglalt = sf.Read() == 'x';
                    Ter[i, j].Tipus = sk.Read()-48;
                                                   
                    if (Ter[i, j].Foglalt)
                    {
                        //3. feladathoz számlálás
                        dbFoglalt++;

                        //4. feladathoz számlálások
                        db[Ter[i, j].Tipus]++;

                        //5. feladathoz összegzés
                        bevetel += Kat[Ter[i, j].Tipus];
                    } 
                              
                    //7. feladat
                    sw.Write(Ter[i, j].Foglalt ? "x":Ter[i, j].Tipus.ToString());
                }
                sf.ReadLine();
                sk.ReadLine();
                sw.WriteLine();
            }

            sk.Close();
            sf.Close();
            sw.Close();

            //2. feladat
            Console.WriteLine("\n2. feladat");
            Console.Write("Add meg a sor számát: ");
            int sor = int.Parse(Console.ReadLine());
            Console.Write("Add meg a szék számát: ");
            int szék = int.Parse(Console.ReadLine());
            Console.WriteLine("Az adott hely {0}.", Ter[sor, szék].Foglalt ? "foglalt":"szabad");

            //3. feladat
            Console.WriteLine("\n3. feladat");            
            int szazalek = Convert.ToInt32((1.0*dbFoglalt)/3); //a feladat kéri az érték meghatározását és egészre kerekítését      
            Console.WriteLine("Az előadásra eddig {0} jegyet adtak el, ez a nézőtér {1}%-a.", dbFoglalt, szazalek);

            //4. feladat
            Console.WriteLine("\n4. feladat");  
            int max = 0;
            for (int i = 0; i < 6; i++)
            {
                if (db[i]>db[max])
                {
                    max = i;
                }
            }
            Console.WriteLine("A legtöbb jegyet a(z) {0}. árkategóriában értékesítették.", max);

            //5. feladat
            Console.WriteLine("\n5. feladat");
            Console.WriteLine("A bevétel pillanatnyilag {0} Ft.", bevetel);

            //6. feladat
            Console.WriteLine("\n6. feladat");
            //keret
            for (int i = 1; i < Ter.GetLength(0); i++)
            {
                Ter[i, 0].Foglalt = true;
                Ter[i, 21].Foglalt = true;
            }
            int dbEgyedul = 0;
            for (int i = 1; i < Ter.GetLength(0); i++)
            {
                for (int j = 1; j < Ter.GetLength(1) - 1; j++)
                {
                    if (Ter[i, j-1].Foglalt && !Ter[i, j].Foglalt && Ter[i, j+1].Foglalt)
                    {
                        dbEgyedul++;
                    }
                }
            }
            Console.WriteLine("{0} darab \"egyedülálló\" hely van a nézőtéren", dbEgyedul);

            //7. feladat
            Console.WriteLine("\n7. feladat - Fáljbaírás: kész");
            Console.ReadLine();

        }
    }
}
